## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
multiprocess is a fork of multiprocessing, and is developed as part of
pathos: https://github.com/uqfoundation/pathos

multiprocessing is a package for the Python language which supports the
spawning of processes using the API of the standard library’s threading module.
multiprocessing has been distributed in the standard library since python 2.6.

Features:

- Objects can be transferred between processes using pipes or
  multi-producer/multi-consumer queues.
- Objects can be shared between processes using a server process or
  (for simple data) shared memory.
- Equivalents of all the synchronization primitives in threading are
  available.
- A Pool class makes it easy to submit tasks to a pool of worker
  processes.

multiprocess is part of pathos, a python framework for heterogeneous
computing. multiprocess is in active development, so any user feedback,
bug reports, comments, or suggestions are highly appreciated. A list of
issues is located at
https://github.com/uqfoundation/multiprocess/issues, with a legacy list
maintained at https://uqfoundation.github.io/project/pathos/query.}

Name:           python-multiprocess
Version:        0.70.14
Release:        %autorelease
Summary:        Better multiprocessing and multithreading in python

# The entire source is BSD-3-Clause, except py*/doc/html4css1.css, which are
# LicenseRef-Fedora-Public-Domain:
#
#   :Copyright: This stylesheet has been placed in the public domain.
License:        BSD-3-Clause AND LicenseRef-Fedora-Public-Domain
URL:            https://pypi.org/pypi/multiprocess
Source0:        %{pypi_source multiprocess}
BuildArch:      noarch

BuildRequires:  dos2unix

%description %_description

%package -n python3-multiprocess
Summary:        %{summary}
# This subpackage does not contain the public-domain CSS file.
License:        BSD-3-Clause

BuildRequires:  python3-devel
# Required for tests; not automatically generated
BuildRequires:  python3-test
BuildRequires:  python3dist(pox)

%description -n python3-multiprocess %_description

%package doc
Summary:        Documentation for %{name}

%description doc
This package provides documentation for %{name}.

%prep
%autosetup -n multiprocess-%{version}

# Convert line endings
find py%{python3_version}/{doc,examples}/ -type f -exec dos2unix '{}' '+'

# Remove shebang
sed -r -i '1{/^#!/d}' py%{python3_version}/multiprocess/tests/__main__.py

# Upstream pretends not to be a pure-Python package to “force python-, abi-,
# and platform-specific naming of bdist_wheel”; this isn’t needed here, and we
# don’t want the RPM package to have to be arched.
sed -r -i 's/^([[:blank:]]*)(distclass=BinaryDistribution,)/\1# \2/' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files multiprocess _multiprocess

%check
# See tox.ini (but don’t try to use %%tox unless we comment out the explicit
# pip install command there):
PYTHONPATH='%{buildroot}%{python3_sitelib}' %{python3} \
    py%{python3_version}/multiprocess/tests/__main__.py

%files -n python3-multiprocess -f %{pyproject_files}
%doc README.md

%files doc
%license LICENSE COPYING
%doc README.md
%doc py%{python3_version}/examples/
%doc py%{python3_version}/doc/

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.70.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.14-1
- Update to 0.70.14 (close RHBZ#2137178)

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-10
- Simplify shebang removal

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-9
- Simplify line endings conversion

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-8
- No need to remove egg-info with pyproject-rpm-macros

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-7
- Convert License to SPDX

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-6
- Simplified pypi_source invocation

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-5
- Remove BR on python-unversioned-command

* Sun Jan 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-4
- Improve test execution

* Sat Nov 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 0.70.13-3
- Fix noarch package installing to python sitearch dir

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.70.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.70.13-1
- feat: update to 0.70.13 (fixes rhbz#2022268)

* Tue Jul 05 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.70.12.2-5
- chore: remove unnecessary macro

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.70.12.2-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.70.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jul 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.70.12.2-1
- Initial build

